<?php
class RoomdialogController extends Controller{
    public function actionIndex(){
        $this->redirect(array('/site'));
    }
    
    //เปิด Modal เพื่อเลือกข้อมูล
    public function actionModal() {
        $grids = $this->getGridDataModal();
        $this->render('//room/modal', array('grids' => $grids));
    }

    public function actionAjaxListModal() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        $txtsearch = $_POST['txtsearch'];

        $grids = $this->getGridDataModal($txtsearch, $offset);
        $this->renderPartial('//room/_gridview_modal', array('grids' => $grids,
            'txtsearch' => $txtsearch));
    }

    public function getGridDataModal($txtsearch = '' ) {
        $criteria = new CDbCriteria;
        $criteria->condition = "name LIKE :txtsearch or place LIKE :txtsearch";
        $criteria->params = array(':txtsearch' => "%$txtsearch%");
        $criteria->order = 'name asc';

        $count = Room::model()->count($criteria);

        $pages = new CPagination($count);
        $pages->route = 'ajaxListModal';
        $pages->pageSize = Yii::app()->params['pageSize'];
        $pages->applyLimit($criteria);
        $models = Room::model()->findAll($criteria);

        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }
}

