<script type="text/javascript">
    $(function () {
        $('#mytable').highlight($('#txtsearch').val());
    });
</script>

<style>
    .dl-horizontal{
        margin-top: 5px;
        margin-bottom: 0px;
    }
    .dl-horizontal dt {
        width: 100px;
        padding-bottom: 5px;
    }

    .dl-horizontal dd{
        margin-left: 120px;
    }
</style>
<table class='th-bg hover table-list-item' id="mytable">
    <thead>
        <tr>
            <th>รายการ</th>
        </tr>
    </thead>
    <tbody>
        <?php
        $models = $grids['models'];
        $irow = 0;
        foreach ($models as $r):
            $irow++;
            $imagePath = Room::model()->getImagePath($r['room_id'], "picture1");
            ?>
            <tr>
                <td>
                    <a href="<?php echo Yii::app()->createUrl('approve/update', array('id' => $r['id'])); ?>">
                        <table class="no-border no-strip skills">
                            <tbody class="no-border-x no-border-y">
                                <tr valign='top'>
                                    <td>
                                        <div class="media">
                                            <div class="media-left">
                                                <img src='<?php echo $imagePath; ?>' class="img-responsive" style="width: 100px;"/>
                                            </div>
                                            <div class="media-body">
                                                <dl class="dl-horizontal">
                                                    <dt>วันที่ใช้ห้อง</dt>
                                                    <dd>
                                                        <?php
                                                        echo MyDate::dateThaiShort($r['start_date']) . " (" . date("H:i", strtotime($r['start_date'])) . ") <strong>&nbsp;&nbsp;ถึง&nbsp;&nbsp;</strong>";
                                                        echo MyDate::dateThaiShort($r['end_date']) . " (" . date("H:i", strtotime($r['end_date'])) . ")";
                                                        ?>
                                                    </dd>
                                                    
                                                    <dt>ห้องประชุม</dt>
                                                    <dd><?php echo $r['room_name']; ?></dd>

                                                    <dt>เลขที่เอกสาร</dt>
                                                    <dd><?php echo $r['docno']; ?><span style="padding-left:20px"><strong>วันที่</strong></span><span style="padding-left:10px"><?php echo MyDate::dateThaiShort($r['docdate']) . " " . $r['doctime']; ?></span></dd>

                                                    <dt>แผนกที่ขอใช้</dt>
                                                    <dd><?php echo $r['depart_name']; ?></dd>

                                                    <dt>วาระการประชุม</dt>
                                                    <dd><?php echo $r['title']; ?></dd>
                                                </dl>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="nowrap" style="text-align:right">
                                        <?php
                                        echo Reserv::model()->getLabelStatus($r['id']);
                                        if ($r['status'] == '1') {
                                            echo "<p><i class='label label-default'>" . MyDate::dateToText($r['read_date'], true) . "</i></p>";
                                        } else if ($r['status'] > 1) {
                                            echo "<p><i class='label label-default'>" . MyDate::dateToText($r['approve_date'], true) . "</i></p>";
                                        }
                                        ?>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                    </a>
                </td>
            </tr>
        <?php endforeach; ?>

        <?php
        if ($irow == 0) {
            echo "<tr><td class='text-center'>*** ไม่มีรายการรออนุมัติ ***</td></tr>";
        }
        ?>
    </tbody>
</table>

<div class='content'>
    <div class="row">
        <div class='col-sm-12'>
            <div class="pull-left">
                <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
            </div>
            <div class='pull-right'>
                <div class="dataTables_paginate paging_bs_normal">
                    <?php
                    $this->widget('CLinkPager', array(
                        'htmlOptions' => array(
                            'class' => 'pagination pagination-sm',
                        ),
                        'pages' => $grids['pages'],
                        'header' => '',
                        'firstPageLabel' => '<<',
                        'prevPageLabel' => "<",
                        'nextPageLabel' => '>',
                        'lastPageLabel' => '>>',
                    ));
                    ?>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                load_div_grid(url);
            }
            return true;
        });
    });
</script>