<style type="text/css" media="all">
    //table.okv_calendar {border:1px solid #aaa; border-collapse: collapse; font-family: Tahoma, Geneva, sans-serif; font-size: 13px; width: 100%;}
    //.okv_calendar td {border:1px solid #aaa; border-collapse: collapse; clear: both;}
    .okv_calendar .blank {background: #F9F9F9; cursor: default !important;}

    .okv_calendar .calendar_y_m {border-spacing: 0px; padding: 0;}

    .okv_calendar .calendar_y_m table.calendar_year_month {border: none; border-collapse: collapse; width: 100%;}
    .okv_calendar .calendar_y_m table.calendar_year_month td {border: none; border-right: 1px solid #67A0CE;}
    .okv_calendar .calendar_y_m table.calendar_year_month td:last-child {border: none;}
    .okv_calendar .month_year {background: #428BCA; color: #fff; font-weight: bold; font-size: 16px; padding: 5px; text-align: center;}

    .okv_calendar .prev_month, 
    .okv_calendar .next_month,
    .okv_calendar .prev_year, 
    .okv_calendar .next_year {
        background: #428BCA; color: #000; font-weight: bold; text-align: center; width:30px;
    }

    .okv_calendar .prev_month a, 
    .okv_calendar .next_month a,
    .okv_calendar .prev_year a, 
    .okv_calendar .next_year a{
        color: #fff; display: block; line-height: 30px; text-decoration: none;
    }

    .okv_calendar .prev_month a:hover, 
    .okv_calendar .next_month a:hover,
    .okv_calendar .prev_year a:hover, 
    .okv_calendar .next_year a:hover{
        color:#F2881F;
    }

    .okv_calendar .calendar_date {font-size: 15px; font-style: italic; height:60px; padding: 5px; vertical-align: top; width:14.2%;text-align: right}
    .okv_calendar .calendar_date a {color: #143270; text-decoration: none;}
    .okv_calendar .calendar_date .calendar_appointment {cursor: pointer; color:#555; display: inline-block; float: right; font-size: 13px; font-style: normal; vertical-align: top; width:80%;}
    .okv_calendar .calendar_date .special_day {color:#555; display: inline-block; font-size: 12px; vertical-align: top; width:98%;}
    .okv_calendar .calendar_week_day {background: #ddd; font-weight: bold; padding: 5px; text-align: center; width:14.2%;}
    .okv_calendar .click_date {background: #ddf4ff;}
    .okv_calendar .current_date {background: #fcf8e3;}
    //.okv_calendar .have_appointment {background: #fff8f1;}

    .okv_calendar .calendar_week_day {
        border: 1px solid #ddd;
        background: #eee;
    }

    .fc-event-inner{
        cursor:pointer;
        overflow: hidden;
        width: 100%;
        background-color: #2494F2;

        border-top-left-radius:0.2em;
        border-top-right-radius:0.2em;
        border-bottom-right-radius:0.2em;
        border-bottom-left-radius:0.2em; 
    }
    .fc-event-title {
        padding: 0 1px;
        font-size:11px;
        color: #fff;
        padding-right:5px;
    }
</style>

<input type='hidden' id='start_date' value='<?php echo $start_date; ?>'>
<div class='table-responsive'>
    <?php
    echo $calendar->display();
    unset($calendar);
    ?>
</div>
<br/>

<script>
    $(function () {
        $(".prev_year,.prev_month,.next_month,.next_year").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                loadCalendar(url);
            }
            return true;
        });
    });
</script>