<header>
    <?php if ($model->count_edit > -1): ?>
        <div class="pull-left" style="padding-top: 10px;">
            <span class="label label-primary" style="padding-bottom: 4px;font-size:13px">แก้ไขครั้งที่ <?php echo $model->count_edit; ?></span>
        </div>
    <?php endif; ?>
    <div class="widget-toolbar">
        <?php echo CHtml::link('<i class="fa fa-plus"></i> เพิ่มข้อมูล', array('functionsheet/create'), array('class' => 'btn btn-xs btn-success')); ?>
        <?php
        echo '<a href="#" onclick="return del(\'' . $model->id . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบข้อมูล</a>';
        ?>
        <?php if ($model->id != ''): ?>
            &nbsp;<a href="javascript:void(0);" onclick='preview(1);' class="btn btn-xs btn-default"><img src='<?php echo Yii::app()->request->baseUrl; ?>/img/page_white.png'/> พิมพ์ใบฟังก์ชัน</a>
        <?php endif; ?>
    </div>
    <div class="clearfix"></div>
</header>
<hr style="margin-top:0px;"/>

<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'myform',
    'enableClientValidation' => false,
    'enableAjaxValidation' => false,
    'htmlOptions' => array(
        'class' => 'form-horizontal',
        'enctype' => 'multipart/form-data',
    ),
    'action' => Yii::app()->createUrl('functionsheet/update'), //<- your form action here
        ));
?>

<div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
<input type="hidden" id="id" name='id' value="<?php echo $model->id; ?>"/>

<div class="row no-margin-bottom">
    <div class="col-md-6">
        <div class=" form-group no-margin-top">
            <label class="col-md-4 control-label">FUNCTION NO. <span class="required">*</span></label>
            <div class="col-md-8">
                <div class='input-group'>
                    <?php
                    echo $form->textField($model, 'docno', array('class' => 'form-control', 'required' => 'true', 'autofocus' => 'true'));
                    ?>
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-default" onclick="docrun()"><i class="fa fa-flash"></i></button>
                    </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class=" form-group no-margin-top">
            <label class="col-md-4 control-label">DATE OF ISSUE <span class="required">*</span></label>
            <div class="col-md-8 col-lg-4">
                <div class="input-group date">
                    <?php
                    $model->docdate = MyDate::dateToText($model->docdate);
                    echo $form->textField($model, 'docdate', array('class' => 'form-control', 'required' => 'true', 'placeholder' => 'วว/ดด/ปปปป'));
                    ?>
                    <span class="input-group-addon btn btn-primary"><span class="fa fa-calendar"></span></span>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row no-margin-bottom">
    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">ORGANIZER</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'organizer', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">BOOKED BY</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'booked_by', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>
</div>

<div class="row no-margin-bottom">
    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">COMPANY</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'company', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">TEL.</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'tel', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>
</div>

<div class="row no-margin-bottom">
    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">DAY</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'daybook', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">DATE</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'datebook', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">TIME</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'timebook', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>
</div>

<div class="form-group no-margin-top">
    <label class="col-md-2 control-label">ROOM</label>
    <div class="col-md-6">
        <div class="input-group">
            <input type='text' id='room_name' readonly="" class='form-control' style='font-size: 16px' value="<?php echo $model->room['name']; ?>">
            <span class="input-group-btn">
                <button type="button" class="btn btn-default" onclick="roomModal()"><i class="fa fa-building-o"></i>เลือกห้อง</button>
            </span>
        </div>
        <?php echo $form->hiddenField($model, 'room_id'); ?> 
    </div>
</div>

<div class="form-group">
    <label class="col-md-2 control-label">GURANTEED</label>
    <div class="col-md-10">
        <?php echo $form->textField($model, 'guaranteed', array('class' => 'form-control')); ?> 
    </div>
</div>

<div class="form-group">
    <label class="col-md-2 control-label">ACOOUNT TO</label>
    <div class="col-md-10">
        <?php echo $form->textField($model, 'accountto', array('class' => 'form-control')); ?> 
    </div>
</div>

<div class="form-group">
    <label class="col-md-2 control-label">ADDRESS</label>
    <div class="col-md-10">
        <?php echo $form->textField($model, 'address', array('class' => 'form-control')); ?> 
    </div>
</div>

<div class="form-group">
    <label class="col-md-2 control-label">PRICE</label>
    <div class="col-md-10">
        <?php echo $form->textField($model, 'pricetext', array('class' => 'form-control')); ?> 
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">COMMENT</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'comment', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">TIME TABLE</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'timetable', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group no-margin-bottom'>
    <label class="col-md-2 control-label">ACCOUNTS</label>
    <div class="col-md-10">
        <div class='well well-sm' style='margin-bottom:5px;'>
            <?php echo $form->textArea($model, 'accounts', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class="form-group no-margin-top">
    <label class="col-md-2 control-label">รวมค่าใช้จ่าย</label>
    <div class="col-md-3">
        <div class="input-group">
            <?php
            $model->accounts_price = number_format($model->accounts_price);
            echo $form->textField($model, 'accounts_price', array('class' => 'form-control numeric'));
            ?>
            <span class="input-group-addon">บาท</span>
        </div>
    </div>
</div>

<div class='form-group margin-top-20'>
    <label class="col-md-2 control-label">FOOD ARRANGEMENTS</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'food_ar', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">SPECIAL FOOD ARRANGEMENTS</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'food_sp', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">BEVERAGE ARRANGEMENTS</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'beverage', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">ROOM SETUP</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'roomsetup', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">FLORIST</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'florist', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">ARTIST</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'artist', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class='form-group'>
    <label class="col-md-2 control-label">AV/LIGHTING</label>
    <div class="col-md-10">
        <div class='well well-sm'>
            <?php echo $form->textArea($model, 'av', array('rows' => 4, 'class' => 'form-control html5')); ?>
        </div>
    </div>
</div>

<div class="form-group">
    <label class="col-md-2 control-label">P.R.</label>
    <div class="col-md-10">
        <?php echo $form->textField($model, 'pr', array('class' => 'form-control')); ?> 
    </div>
</div>

<div class="row no-margin-bottom">
    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">ผู้ตรวจสอบ</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'approve', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">ตำแหน่ง</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'position', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>
</div>

<div class="row no-margin-bottom">
    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">ผู้อกใบฟังก์ชัน</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'bookbyname', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group no-margin-top">
            <label class="col-md-4 control-label">ตำแหน่ง</label>
            <div class="col-md-8">
                <?php echo $form->textField($model, 'bookbyposition', array('class' => 'form-control')); ?>
            </div>
        </div>
    </div>
</div>

<div class="form-actions form-actions-gt">
    <div class="row no-margin">
        <button type="button" class="btn btn-primary btn-lg" onclick="save();">
            <i class="fa fa-save"></i>
            บันทึกข้อมูล
        </button>
    </div>
</div>

<?php $this->endWidget(); ?>