<?php
$sidebar_active = Yii::app()->session['sidebar_active'];
?>
<div class="cl-sidebar">
    <div class="cl-toggle"><i class="fa fa-bars"></i></div>
    <div class="cl-navblock">
        <div class="menu-space">
            <div class="content">
                <ul class="cl-vnavigation">
                    <li><a href="#"><i class="fa fa-home"></i><span>หน้าหลัก</span></a>
                        <ul class="sub-menu">
                            <li <?php echo ($sidebar_active == 'calendar') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ปฏิทินการใช้ห้อง', array('/calendar'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'query') ? 'class="active"' : ''; ?>><?php echo CHtml::link('สอบถามรายการจอง', array('/query'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'roomtable') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ตารางการใช้ห้องประจำวัน', array('/roomtable'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'roomdetail') ? 'class="active"' : ''; ?>><?php echo CHtml::link('รายละเอียดห้องประชุม', array('/query/room'), array('tabindex' => '-1')); ?></li>
                        </ul>
                    </li>

                    <li><a href="#"><i class="fa fa-star"></i><span>ประจำวัน</span></a>
                        <ul class="sub-menu">
                            <?php
                            if (Yii::app()->user->member_type == '1' || Yii::app()->session['isUdepart'] > 0):
                                ?>
                                <li <?php echo ($sidebar_active == 'approve') ? 'class="active"' : ''; ?>>
                                    <a href="<?php echo Yii::app()->createUrl('/approve'); ?>">
                                        <?php
                                        $countWait = Reserv::model()->countWating(Yii::app()->user->id);
                                        if ($countWait > 0) {
                                            echo "<span class='badge badge-danger pull-right'>$countWait</span>";
                                        }
                                        ?>
                                        จองห้องประชุมรออนุมัติ
                                    </a>
                                </li>
                                <li <?php echo ($sidebar_active == 'approvecancel') ? 'class="active"' : ''; ?>>
                                    <a href="<?php echo Yii::app()->createUrl('/approvecancel'); ?>">
                                        <?php
                                        $countWaitCancel = Reserv::model()->countWatingCancel(Yii::app()->user->id);
                                        if ($countWaitCancel > 0) {
                                            echo "<span class='badge badge-danger pull-right'>$countWaitCancel</span>";
                                        }
                                        ?>
                                        รายการยกเลิกรออนุมัติ
                                    </a>
                                </li>
                            <?php endif; ?>
                            <li <?php echo ($sidebar_active == 'reserv') ? 'class="active"' : ''; ?>><?php echo CHtml::link('จองใช้ห้อง', array('/reserv'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'reservCancel') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ยกเลิกจอง', array('/reservcancel'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'functionsheet') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ใบงานฟัก์ชัน', array('/functionsheet'), array('tabindex' => '-1')); ?></li>
                        </ul>
                    </li>

                    <?php if (Yii::app()->user->member_type == '1'): ?>
                        <li><a href="#"><i class="fa fa-archive"></i><span>ข้อมูลพื้นฐาน</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'faculty') ? 'class="active"' : ''; ?>><?php echo CHtml::link('หน่วยงาน', array('/faculty'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'depart') ? 'class="active"' : ''; ?>><?php echo CHtml::link('แผนก', array('/depart'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'equip') ? 'class="active"' : ''; ?>><?php echo CHtml::link('อุปกรณ์ห้องประชุม', array('/equip'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'room') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลห้องประชุม', array('/room'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>

                        <li><a href="#"><i class="fa fa-male"></i><span>บุคคล</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'user') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลผู้ใช้', array('/user'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'userDepart') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ผู้อนุมัติประจำแผนก', array('/userdepart'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>
                    <?php endif; ?>

                    <li <?php echo ($sidebar_active == 'report') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-file"></i><span>รายงาน</span>', array('/reportpage'), array('tabindex' => '-1')); ?></li>

                    <?php if (Yii::app()->user->member_type == '1'): ?>
                        <li><a href="#"><i class="fa fa-cogs"></i><span>ตั้งค่าระบบ</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'prgconfig') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ตั้งค่าโปรแกรม', array('/prgconfig'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'company') ? 'class="active"' : ''; ?>><?php echo CHtml::link('สถานประกอบการ', array('/company'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'docprefix') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การรันเลขเอกสาร', array('/docprefix'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'import') ? 'class="active"' : ''; ?>><?php echo CHtml::link('นำเข้ารายชื่อผู้ใช้', array('/import'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'updates') ? 'class="active"' : ''; ?>><?php echo CHtml::link('อัพเดทโปรแกรม', array('/updates'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
        <div class="text-right collapse-button" style="padding:7px 9px;">
            <input type="text" class="form-control search" readonly="true" value='<?php echo Yii::app()->name." ".Yii::app()->params['versionText']; ?>'>
            <button id="sidebar-collapse" class="btn btn-default" style=""><i style="color:#fff;" class="fa fa-angle-left"></i></button>
        </div>
    </div>
</div>