<?php
$sidebar_active = Yii::app()->session['sidebar_active'];
?>
<div class="cl-sidebar">
    <div class="cl-toggle"><i class="fa fa-bars"></i></div>
    <div class="cl-navblock">
        <div class="menu-space">
            <div class="content">
                <ul class="cl-vnavigation">
                    <li><a href="#"><i class="fa fa-archive"></i><span>ข้อมูลพื้นฐาน</span></a>
                        <ul class="sub-menu">
                            <li <?php echo ($sidebar_active == 'faculty') ? 'class="active"' : ''; ?>><?php echo CHtml::link('หน่วยงาน', array('/faculty'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'depart') ? 'class="active"' : ''; ?>><?php echo CHtml::link('แผนก', array('/depart'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'user') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลผู้ใช้', array('/user'), array('tabindex' => '-1')); ?></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
        <div class="text-right collapse-button" style="padding:7px 9px;">
            <input type="text" class="form-control search" readonly="true" value='<?php echo Yii::app()->name." ".Yii::app()->params['versionText']; ?>'>
            <button id="sidebar-collapse" class="btn btn-default" style=""><i style="color:#fff;" class="fa fa-angle-left"></i></button>
        </div>
    </div>
</div>