<script type="text/javascript">
    $(function () {
        $('#mytable tbody').highlight($('#txtsearch').val());
    });
</script>

<div class="table-responsive">
    <table class='table table-bordered th-bg hover' id="mytable">
        <thead>
            <tr>
                <th width="100" class='text-center'>สถานะ</th>
                <th class='text-center' width="100">เลขที่ใบจอง</th>
                <th class='text-center' width="120">วันที่ใช้ห้อง</th>
                <th class='text-center'>ห้องประชุม/วาระการประชุม</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $status_text = Reserv::model()->getLabelStatus($r['id']);
                if($r['cancel_doc']=='1' && $r['status']=='2'){
                    $status_text = '<span class="label label-primary">อนุมัติ(ขอยกเลิก)</span>';
                }
                echo "<tr>";
                echo "<td class='text-center'>$status_text</td>";
                echo "<td class='text-center'>" . $r['docno'] . "</td>";
                echo "<td class='nowrap'>";
                echo "จากวันที่: " . MyDate::dateThaiShort($r['start_date']) . " (" . date("H:i", strtotime($r['start_date'])) . ")";
                echo "<br/>ถึงวันที่: " . MyDate::dateThaiShort($r['end_date']) . " (" . date("H:i", strtotime($r['end_date'])) . ")";
                echo "</td>";
                echo "<td><strong>" . $r['room_name'] . "</strong><br/>" . $r['title'] . "</td>";
                echo '<td class="text-center nowrap">';
                if ($r['status'] != '0' && $r['status'] != '9') {
                    echo CHtml::link('<i class="fa fa-list-alt"></i> แสดง', array("reserv/update", "id" => $r['id']), array('class' => 'label label-info')) . "&nbsp;";
                } else {
                    echo CHtml::link('<i class="fa fa-pencil"></i> แก้ไข', array("reserv/update", "id" => $r['id']), array('class' => 'label label-default')) . "&nbsp;";
                    echo '<a href="#" onclick="return del(\'' . $r['id'] . '\')" class="label label-danger"><i class="fa fa-times"></i> ลบ</a>';
                }

                echo "</td>";
                echo "</tr>";
            }
            if ($irow == 0) {
                echo "<tr><td colspan='6' class='text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<div class="row">
    <div class='col-sm-12'>
        <div class="pull-left">
            <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
        </div>
        <div class='pull-right'>
            <div class="dataTables_paginate paging_bs_normal">
                <?php
                $this->widget('CLinkPager', array(
                    'htmlOptions' => array(
                        'class' => 'pagination pagination-sm',
                    ),
                    'pages' => $grids['pages'],
                    'header' => '',
                    'firstPageLabel' => '<<',
                    'prevPageLabel' => "<",
                    'nextPageLabel' => '>',
                    'lastPageLabel' => '>>',
                ));
                ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                load_div_grid(url);
            }
            return true;
        });
    });
</script>