<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">อุปกรณ์ห้องประชุม</h4>
        </div>
        <?php
        $form = $this->beginWidget('CActiveForm', array(
            'id' => 'myform',
            'enableClientValidation' => false,
            'enableAjaxValidation' => false,
            'htmlOptions' => array(
                'class' => 'form-horizontal',
            )
        ));
        ?>
        <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
        <div class="modal-body">

            <input type="hidden" id="id" value="<?php echo $model->id; ?>"/>
            <div class="form-group">
                <label class="col-md-3 control-label">ชื่ออุปกรณ์<span class="required">*</span></label>
                <div class="col-md-9">
                    <?php
                    echo $form->textField($model, 'name', array('class' => 'form-control', 'autofocus' => 'true'));
                    ?>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-3 control-label">จำนวนในคลัง</label>
                <div class="col-md-4">
                    <?php
                    echo $form->textField($model, 'amount', array('class' => 'form-control numeric'));
                    ?>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-3 control-label">หน่วยนับ</label>
                <div class="col-md-4">
                    <?php
                    echo $form->textField($model, 'unitname', array('class' => 'form-control'));
                    ?>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-3 control-label">คงเหลือ</label>
                <div class="col-md-4">
                    <?php
                    echo $form->textField($model, 'balance', array('class' => 'form-control numeric'));
                    ?>
                </div>
            </div>

            <div class='form-group'>
                <label class="col-md-3 control-label">สถานะ</label>
                <div class="col-md-4">
                    <label class="radio-inline"> <input type="radio" <?php echo ($model->status == '0') ? 'checked' : ''; ?> name="Equip_Status" value='0'> ปกติ</label> 
                    <label class="radio-inline"> <input type="radio" <?php echo ($model->status == '1') ? 'checked' : ''; ?> name="Equip_Status" value='1'> ยกเลิกใช้</label>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-3 control-label">รายละเอียด</label>
                <div class="col-md-9">
                    <?php echo $form->textArea($model, 'detail', array('rows' => 2, 'class' => 'form-control')); ?>
                </div>
            </div>
            
            <div class="text-warning">หากกำหนดจำนวนในคลังเท่ากับ <strong>0</strong> ระบบจะไม่คิดเรื่องจำนวน ทำให้ผู้จองใช้ห้องกรอกจำนวนที่ต้องการได้ไม่จำกัด</div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal" name="a"> ปิด </button>
            <button type="submit" class="btn btn-primary" name="b"><i class="fa fa-save"></i> บันทึกข้อมูล</button>
        </div>

        <?php $this->endWidget(); ?>
    </div>
</div>

<script>
    $(document).ready(function () {
        $(".numeric").numeric({negative: false});

        $('#myform').bootstrapValidator({
            live: 'enabled',
            submitHandler: function (validator, form, submitButton) {
                save();
                $('#myform').bootstrapValidator('disableSubmitButtons', false);
            },
            feedbackIcons: {
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            },
            fields: {
                'Faculty[code]': {
                    validators: {
                        notEmpty: {
                            message: 'คุณต้องกรอกข้อมูล'
                        }
                    }
                },
                'Faculty[name]': {
                    validators: {
                        notEmpty: {
                            message: 'คุณต้องกรอกข้อมูล'
                        }
                    }
                }
            }
        });
    });
</script>