<script type="text/javascript">
    $(function () {
        $('#mytable').highlight($('#txtsearch').val());
    });
</script>
<div class='table-responsive'>
    <table class='table table-bordered th-bg hover' id="mytable">
        <thead>
            <tr>
                <th width='200' class='text-center'>ชื่ออุปกรณ์</th>
                <th width='70' class='text-center'>จำนวน</th>
                <th width='100' class='text-center'>หน่วย</th>
                <th width='70' class='text-center'>คงเหลือ</th>
                <th width='70' class='text-center'>ยกเลิกใช้</th>
                <th>รายละเอียด</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $status = ($r->status == '1') ? '<span class="text-danger">ใช่</span>' : '';
                $amount = ($r->amount>0) ? $r->amount : '*';
                $balance = ($r->amount>0) ? $r->balance : '*';
                echo "<tr>";
                echo "<td>$r->name</td>";
                echo "<td class='text-right'>$amount</td>";
                echo "<td class='text-center'>$r->unitname</td>";
                echo "<td class='text-right'>$balance</td>";
                echo "<td class='text-center'>$status</td>";
                echo "<td>$r->detail</td>";
                echo '<td class="text-center nowrap">';
                echo '<a href="#" onclick="return update(\'' . $r->id . '\')" class="label label-default"><i class="fa fa-pencil"></i> แก้ไข</a>&nbsp;';
                echo '<a href="#" onclick="return del(\'' . $r->id . '\')" class="label label-danger"><i class="fa fa-times"></i> ลบ</a>';
                echo "</td>";
                echo "</tr>";
            }
            if ($irow == 0) {
                echo "<tr><td colspan='7' class='text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>
<div class="row margin-top-20">
    <div class='col-sm-12'>
        <div class="pull-left">
            <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
        </div>
        <div class='pull-right'>
            <div class="dataTables_paginate paging_bs_normal">
                <?php
                $this->widget('CLinkPager', array(
                    'htmlOptions' => array(
                        'class' => 'pagination pagination-sm',
                    ),
                    'pages' => $grids['pages'],
                    'header' => '',
                    'firstPageLabel' => '<<',
                    'prevPageLabel' => "<",
                    'nextPageLabel' => '>',
                    'lastPageLabel' => '>>',
                ));
                ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                load_div_grid(url);
            }
            return true;
        });
    });
</script>