<script type="text/javascript">
    $(function () {
        $('#equipModal_mytable tbody').highlight($('#equipModal_txtsearch').val());
    });
</script>
<style>
    h4.media-heading{
        margin: 5px 0 0 0 !important;
        font-weight: bold;
    }
    .highlight {
        background-color:#F7E9AD !important;
    }
</style>
<div id="no-more-tables">
        <table class='table table-bordered th-bg hover' id="equipModal_mytable">
        <thead>
            <tr>
                <th width='50%' class="text-center">ชื่ออุปกรณ์</th>
                <th width='85' class="text-center">คงเหลือ</th>
                <th width='85' class="text-center">หน่วย</th>
                <th>รายละเอียด</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $balance = ($r->amount>0) ? $r->balance : '*';
                echo "<tr>";
                echo "<td>" . CHtml::encode($r->name) . "</td>";
                echo "<td class='text-center'>$balance</td>";
                echo "<td class='text-center'>" . CHtml::encode($r->unitname) . "</td>";
                echo "<td>" . CHtml::encode($r->detail) . "</td>";
                echo '<td class="text-center nowrap" data-title="">';
                echo "<button class='btn btn-xs btn-success btn-flat equipModal_btnselect' val='$r->id'><i class='fa fa-check'></i> เลือก";
                echo "</a>";
                echo "</td>";
                echo "</tr>";
            }

            if ($irow == 0) {
                echo "<tr><td colspan = '5' class = 'text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<div class="box-footer">
    <div class="pull-left">
        <?php
        $this->widget('CLinkPager', array(
            'htmlOptions' => array(
                'class' => 'pagination pagination-sm no-margin',
            ),
            'pages' => $grids['pages'],
            'header' => '',
            'firstPageLabel' => '<<',
            'prevPageLabel' => "<",
            'nextPageLabel' => '>',
            'lastPageLabel' => '>>',
        ));
        ?>
    </div>
    <div class='pull-right'>
        ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ
    </div>
    <div class="clearfix"></div>
</div><!-- end box-footer -->

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                equipModalHost.loadGridView(url);
            }
            return true;
        });

        $(".equipModal_btnselect").click(function () {
            var $row = $(this).closest("tr");    // Find the row

            var data = {
                'id' : $(this).attr('val'),
                'name' : $row.find('td').eq(0).text(),
                'balance' : $row.find('td').eq(1).text(),
                'unitname' : $row.find('td').eq(2).text()
            };
            
            equipModal.modalSelect(data);

        });
    });
</script>