<div class="modal-dialog modal-lg">
    <div class="modal-content">
        <div class="modal-header" style='padding:10px'>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">เลือกอุปกรณ์ห้องประชุม</h4>
        </div>

        <div class='modal-body'>
            <div class="row margin-bottom-10">
                <div class="col-md-8">
                    <div class="input-group">
                        <input class="form-control text-search" type="text" id="equipModal_txtsearch" placeholder="ค้นหา...ชื่ออุปกรณ์" autofocus="true" value='<?php echo $txtsearch; ?>'>
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary btn-flat" onclick="equipModalHost.loadGridView()"><i class="fa fa-search"></i> ค้นหา</button>
                        </span>
                    </div>
                </div>
            </div>

            <div id="equipModal_divgrid" class="table-responsive"></div>
        </div>

    </div>  <!-- end modal-content -->
</div>      <!-- end modal-dialog modal-lg -->

<script type='text/javascript'>
    var equipModalHost = {
        loadGridView: function (url) {
            url = typeof url !== 'undefined' ? url : "<?php echo Yii::app()->createUrl('equip/ajaxListModal') ?>";
            var p = {};

            var txtsearch = $.trim($('#equipModal_txtsearch').val());
            p.txtsearch = txtsearch;

            $('#equipModal_txtsearch').val(txtsearch);
            $('#equipModal_divgrid').load(url, p);
            return true;
        }
    };

    $(function () {
        equipModalHost.loadGridView();
        $('#equipModal_txtsearch').keydown(function (e) {
            if ((e.keyCode == 13)) {
//                myApp.noLoading();
                equipModalHost.loadGridView();
                return true;
            }
        });
    });
</script>
