<script type="text/javascript">
    $(function () {
        $('#mytable tbody').highlight($('#txtsearch').val());
    });
</script>

<div id="no-more-tables">
    <table class='table table-bordered th-bg hover' id="mytable">
        <thead>
            <tr>
                <th width="100" class='text-center'>วันที่</th>
                <th width="100" class='text-center'>เลขที่ใบฟังก์ชัน</th>
                <th>Organizer / Company</th>
                <th width="100">Tel</th>
                <th width="100" class='text-right'>จำนวนเงิน</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $status_text = Reserv::model()->getLabelStatus($r['id']);
                echo "<tr>";
                echo "<td class='text-center' data-title='วันที่'>" . MyDate::dateToText($r->docdate) . "</td>";
                echo "<td class='text-center' data-title='เลขที่ใบงาน'>$r->docno</td>";
                echo "<td data-title='Organizer/Company'>$r->organizer / $r->company</td>";
                echo "<td data-title='Tel'>$r->tel</td>";
                echo "<td data-title='จำนวนเงิน' class='text-right'>" . number_format($r->accounts_price) . "</td>";
                echo '<td class="text-center" data-title=""><div>';
                echo CHtml::link('รายละเอียด', array("fsheet/detail", "id" => $r->id), array('class' => 'label label-info'));
                echo "</div></td>";
                echo "</tr>";
            }
            if ($irow == 0) {
                echo "<tr><td colspan='6' class='text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<div class="row">
    <div class='col-sm-12'>
        <div class="pull-left">
            <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
        </div>
        <div class='pull-right'>
            <div class="dataTables_paginate paging_bs_normal">
                <?php
                $this->widget('CLinkPager', array(
                    'htmlOptions' => array(
                        'class' => 'pagination pagination-sm',
                    ),
                    'pages' => $grids['pages'],
                    'header' => '',
                    'firstPageLabel' => '<<',
                    'prevPageLabel' => "<",
                    'nextPageLabel' => '>',
                    'lastPageLabel' => '>>',
                ));
                ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                loadGridView(url);
            }
            return true;
        });
    });
</script>