<?php
$sidebar_active = Yii::app()->session['sidebar_active'];
?>
<div class="cl-sidebar">
    <div class="cl-toggle"><i class="fa fa-bars"></i></div>
    <div class="cl-navblock">
        <div class="menu-space">
            <div class="content">
                <ul class="cl-vnavigation">
                    <li <?php echo ($sidebar_active == 'calendar') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-calendar"></i><span>ปฏิทินการใช้ห้อง</span>', array('/calendar'), array('tabindex' => '-1')); ?></li>
                    <li <?php echo ($sidebar_active == 'query') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-list-ul"></i><span>สอบถามรายการจอง</span>', array('/query'), array('tabindex' => '-1')); ?></li>
                    <li <?php echo ($sidebar_active == 'roomdetail') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-building-o"></i><span>รายละเอียดห้องประชุม</span>', array('/query/room'), array('tabindex' => '-1')); ?></li>
                    <li <?php echo ($sidebar_active == 'roomtable') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-th-list"></i><span>ตารางการใช้ห้องประจำวัน</span>', array('/roomtable'), array('tabindex' => '-1')); ?></li>
                    <li <?php echo ($sidebar_active == 'fsheet') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-th-list"></i><span>ใบงานฟังก์ชัน</span>', array('/fsheet'), array('tabindex' => '-1')); ?></li>
                    <li <?php echo ($sidebar_active == 'login') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-user"></i><span>เข้าสู่ระบบ</span>', array('/site/login'), array('tabindex' => '-1')); ?></li>
                </ul>
            </div>
        </div>
        <div class="text-right collapse-button" style="padding:7px 9px;">
            <input type="text" class="form-control search" readonly="true" value='<?php echo Yii::app()->name." ".Yii::app()->params['versionText']; ?>'>
            <button id="sidebar-collapse" class="btn btn-default" style=""><i style="color:#fff;" class="fa fa-angle-left"></i></button>
        </div>
    </div>
</div>