<?php
$this->pageTitle = Yii::app()->name . ' รายงาน';
$this->breadcrumbs = array(
    'รายงาน'
);
$reportTab = Yii::app()->session['report_tab'];
?>
<div class="row">
    <div class="col-sm-12 col-md-12">

        <div class="tab-container">
            <ul class="nav nav-tabs">
                <li <?php echo ($reportTab == 'tab1') ? 'class="active"' : ''; ?>><a href="#tab1" data-toggle="tab">รายงานการจอง</a></li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane <?php echo ($reportTab == 'tab1') ? 'active' : ''; ?> cont" id="tab1">
                    <div class="row">
                        <div class="col-md-6">
                            <h4>แบบแจกแจง</h4>
                            <ul>
                                <li><?php echo CHtml::link('รายงานจองใช้ห้อง', array('/report/rptreserv'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานจองใช้ห้อง-ตามหน่วยงาน', array('/report/rptreserv/faculty'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานจองใช้ห้อง-ตามแผนก', array('/report/rptreserv/depart'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานจองใช้ห้อง-ตามชื่อห้อง', array('/report/rptreserv/room'), array('tabindex' => '-1')); ?></li>
                            </ul>

                            <h4 style='margin-top:30px;'>แบบสรุป</h4>
                            <ul>
                                <li><?php echo CHtml::link('รายงานสรุปจำนวนจองใช้ห้อง', array('/report/rptreserv/summary'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานสรุปจำนวนจองใช้ห้อง-ตามชื่อห้อง', array('/report/rptreserv/tabianSummary'), array('tabindex' => '-1')); ?></li>
                            </ul>

                            <h4>อื่นๆ</h4>
                            <ul>
                                <li><?php echo CHtml::link('รายงานใบฟังก์ชัน', array('/report/rptfunctionsheet'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </div>
                        <div class="col-md-6">
                            <h4 style='margin-top:30px;'>ค่าเช่าห้องแบบแจกแจง</h4>
                            <ul>
                                <li><?php echo CHtml::link('รายงานค่าเช่าจองใช้ห้อง', array('/report/rptmoney'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานค่าเช่าจองใช้ห้อง-ตามหน่วยงาน', array('/report/rptmoney/faculty'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานค่าเช่าจองใช้ห้อง-ตามแผนก', array('/report/rptmoney/depart'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานค่าเช่าจองใช้ห้อง-ตามชื่อห้อง', array('/report/rptmoney/room'), array('tabindex' => '-1')); ?></li>
                            </ul>

                            <h4 style='margin-top:30px;'>ค่าเช่าห้องแบบสรุป</h4>
                            <ul>
                                <li><?php echo CHtml::link('รายงานสรุปค่าเช่าจองใช้ห้อง', array('/report/rptmoney/summary'), array('tabindex' => '-1')); ?></li>
                                <li><?php echo CHtml::link('รายงานสรุปค่าเช่าจองใช้ห้อง-ตามชื่อห้อง', array('/report/rptmoney/roomSummary'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </div>
                    </div>

                </div>
            </div>
        </div>

    </div>
</div>