<div class="modal fade colored-header" id="myModalRoom" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style='padding:10px'>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">เลือกห้องประชุม</h4>
            </div>

            <div class='modal-body'>
                <div class="row">
                    <div class="col-sm-8 col-md-6 col-lg-5">
                        <div class="input-group">
                            <input class="form-control" type="text" id="txtsearchRoomModal" placeholder="ค้นหา..." autofocus="true">
                            <span class="input-group-btn">
                                <button type="button" class="btn btn-primary" onclick="loadGridRoomModal()"><i class="fa fa-search"></i> ค้นหา</button>
                            </span>
                        </div>
                    </div>
                </div>

                <div id="divGridRoomModal"></div>
            </div>

        </div>  <!-- end modal-content -->
    </div>      <!-- end modal-dialog modal-lg -->
</div>          <!-- end modal -->

<script type='text/javascript'>
    $(function () {
        $('#txtsearchRoomModal').keydown(function (e) {
            if ((e.keyCode == 13)) {
                loadGridRoomModal();
                return true;
            }
        });

        $('#divGridRoomModal #mytable').highlight($('#txtsearch').val());
    });

    function loadGridRoomModal(url) {
        url = typeof url !== 'undefined' ? url : "<?php echo Yii::app()->createUrl('roomdialog/ajaxListModal') ?>";
        var p = {};
        p['txtsearch'] = $('#txtsearchRoomModal').val();

        $('#divGridRoomModal').load(url, p);
        $('#txtsearchRoomModal').focus();
        return true;
    }
</script>
