<div id="cl-wrapper" class="login-container">
    <div class="middle-login">
        <div class="block-flat">
            <div class="header">							
                <h3 class="text-center"><img class="logo-img" src="images/logo.png" alt="logo"/><?php echo Yii::app()->name; ?></h3>
            </div>
            <div>
                <?php
                $form = $this->beginWidget('CActiveForm', array(
                    'id' => 'login-form',
                    'enableClientValidation' => false,
                    'clientOptions' => array(
                        'validateOnSubmit' => true,
                    ),
                    'htmlOptions' => array(
                        'class' => 'form-horizontal',
                        'style' => 'margin-bottom: 0px !important;'
                    ),
                ));
                ?>
                <div class="content">
                    <h4 class="title">ตรวจสอบเข้าสู่ระบบ</h4>
                    <div class="form-group">
                        <div class="col-sm-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                                <?php
                                echo $form->textField($model, 'username', array('class' => 'form-control',
                                    'placeholder' => 'ชื่อเข้าใช้ระบบ',
                                    'required' => 'true',
                                    'title' => 'กรอกชื่อเข้าใช้ระบบ',
                                    'autofocus' => 'true'));
                                ?>
                            </div>
                            <?php echo $form->error($model, 'username'); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                                <?php
                                echo $form->passwordField($model, 'password', array('class' => 'form-control',
                                    'placeholder' => 'รหัสผ่าน',
                                    'required' => 'true',
                                    'title' => 'กรอกรหัสผ่าน'));
                                ?>
                            </div>
                            <?php echo $form->error($model, 'password'); ?>
                        </div>
                    </div>
                </div>
                <div class="foot">
                    <a href="<?php echo Yii::app()->user->returnUrl; ?>" class="btn btn-default">ยกเลิก</a>
                    <button class="btn btn-primary" data-dismiss="modal" type="submit">เข้าสูระบบ</button>
                </div>
                <?php $this->endWidget(); ?>
            </div>
        </div>
    </div> 


    <?php
    $user = User::model()->findAll(array("condition" => "status='0'"));
    if (count($user) == 0) {
        echo "<div class='alert alert-danger'>";
        echo "ยังไม่มีชื่อผู้ใช้งานใดๆ ในระบบ คุณต้องใช้ผู้ใช้งานฉุกเฉินซึ่งดูได้ที่ไฟล์  bypass.php เพื่อ Login เข้าใช้งานเพื่อสร้างผู้ใช้งานใหม่ โดย";
        echo "<ul><li>ผู้ใช้งานใหม่ที่สร้างให้กำหนดเป็นประเภทผู้ดูแลระบบ</li><li>ผู้ใช้งานที่อยู่ในไฟล์ bypass.php เป็นผู้ใช้งานสำหรับเริ่มต้นระบบใหม่เท่านั้น ซึ่งจะแสดงเมนูเพียงบางส่วนเท่านั้น ใช้ในการจองห้องไม่ได้</li></ul>";
        echo "</div>";
    }
    ?>
</div>
<script type="text/javascript">
    $(function () {
        $('#login-form').validate();
    });
</script>