<?php
$versionDB = '1.0.6';
$model = Company::model()->find();
if ($model->en5 != $versionDB) {
    try {
        $sql = "update tb_company set en5='$versionDB'";
        Yii::app()->db->createCommand($sql)->execute();
    } catch (Exception $ex) {
        
    }
}

try {
    $sql = "
    SET NAMES utf8;
    SET FOREIGN_KEY_CHECKS = 0;
    
    -- ----------------------------
    --  Table structure for `tb_functionfood`
    -- ----------------------------
    CREATE TABLE IF NOT EXISTS `tb_functionfood` (
      `id` int(11) NOT NULL AUTO_INCREMENT,
      `functionsheet_id` int(11) DEFAULT NULL,
      `no` smallint(6) DEFAULT '1',
      `title` varchar(100) DEFAULT NULL,
      `detail` text,
      PRIMARY KEY (`id`)
    ) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
    
    
    -- ----------------------------
    --  Table structure for `tb_functionsheet`
    -- ----------------------------
    CREATE TABLE IF NOT EXISTS `tb_functionsheet` (
      `id` int(11) NOT NULL AUTO_INCREMENT,
      `docno` varchar(50) DEFAULT NULL,
      `docdate` date DEFAULT NULL,
      `organizer` varchar(100) DEFAULT NULL,
      `company` varchar(250) DEFAULT NULL,
      `tel` varchar(50) DEFAULT NULL,
      `daybook` varchar(50) DEFAULT NULL,
      `datebook` varchar(50) DEFAULT NULL,
      `timebook` varchar(50) DEFAULT NULL,
      `room_id` int(11) DEFAULT NULL,
      `guaranteed` varchar(100) DEFAULT NULL,
      `accountto` varchar(100) DEFAULT NULL,
      `address` text,
      `pricetext` varchar(100) DEFAULT NULL,
      `comment` text,
      `booked_by` varchar(100) DEFAULT NULL,
      `timetable` text,
      `accounts` text,
      `accounts_price` int(11) DEFAULT '0',
      `food_ar` text,
      `food_sp` text,
      `beverage` text,
      `roomsetup` text,
      `florist` text,
      `artist` text,
      `av` text,
      `pr` varchar(100) DEFAULT NULL,
      `approve` varchar(100) DEFAULT NULL,
      `position` varchar(100) DEFAULT NULL,
      `count_edit` smallint(6) DEFAULT '0',
      `last_edit` datetime DEFAULT NULL,
      `bookbyname` varchar(100) DEFAULT NULL,
      `bookbyposition` varchar(100) DEFAULT NULL,
      PRIMARY KEY (`id`)
    ) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
    
    SET FOREIGN_KEY_CHECKS = 1;
    ";
    Yii::app()->db->createCommand($sql)->execute();
} catch (Exception $ex) {
    
}

try {
    $sql = "ALTER TABLE `tb_company` ADD `logo` VARCHAR(20) NULL AFTER `reserv_minute`";
    Yii::app()->db->createCommand($sql)->execute();
} catch (Exception $ex) {
    
}

//1.04
try {
    $sql = "
SET NAMES utf8;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
--  Table structure for `tb_equip_order`
-- ----------------------------
CREATE TABLE `tb_equip_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reserv_id` int(11) NOT NULL,
  `equip_id` int(11) NOT NULL,
  `amount` int(11) DEFAULT '0',
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

SET FOREIGN_KEY_CHECKS = 1;
";
    Yii::app()->db->createCommand($sql)->execute();
} catch (Exception $ex) {
    
}

try {
    $sql = "ALTER TABLE `tb_equip`  ADD `amount` INT NULL DEFAULT '0' ,  ADD `unitname` VARCHAR(50) NULL ,  ADD `status` TINYINT(2) NULL DEFAULT '0'";
    Yii::app()->db->createCommand($sql)->execute();
} catch (Exception $ex) {
    
}

try {
    $sql = "ALTER TABLE `tb_equip` ADD `balance` INT NOT NULL DEFAULT '0'";
    Yii::app()->db->createCommand($sql)->execute();
} catch (Exception $ex) {
    
}

try {
    $sql = "ALTER TABLE `tb_equip_order` ADD `end_date` DATETIME NOT NULL , ADD `return_stock` TINYINT NOT NULL DEFAULT '0'";
    Yii::app()->db->createCommand($sql)->execute();
} catch (Exception $ex) {
    
}
?>

